import React from 'react';
import PropTypes from 'prop-types';
export declare class CollapsibleToolbar extends React.Component<any, any> {
    static propTypes: {
        testAutomationId: PropTypes.Requireable<string>;
        header: PropTypes.Validator<PropTypes.ReactNodeLike[]>;
        collapsibleContent: PropTypes.Validator<PropTypes.ReactNodeLike>;
        footer: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        hasBodyPadding: PropTypes.Requireable<boolean>;
        moreButtonText: PropTypes.Requireable<string>;
        moreButtonLabel: PropTypes.Requireable<string>;
    };
    static defaultProps: {
        testAutomationId: string;
        readonly moreButtonText: string;
        readonly moreButtonLabel: string;
        hasBodyPadding: boolean;
        footer: any;
    };
    constructor(props: any, context: any);
    handleToggleClick(): void;
    getMoreButton(): JSX.Element;
    wrapMoreButton(moreButton: any): JSX.Element;
    render(): JSX.Element;
}
